#! /usr/bin/python3

import sys
import os, os.path
from datetime import datetime
import sqlite3

import jolla

base = os.path.join(jolla.root, ".local/share/jolla-notes/QML/OfflineStorage/Databases")
dbfile = next(filter(lambda x: x.endswith(".sqlite"), os.listdir(base)))

db     = sqlite3.connect(os.path.join(base, dbfile))
cursor = db.cursor()

query = "SELECT * FROM notes"

if len(sys.argv) < 2:
    results = cursor.execute(query)
else:
    query  += " WHERE body LIKE ?"
    results = cursor.execute(query, ["%" + sys.argv[1] + "%"])

for (page, color, body) in results:
    print(page, color)
    print(body)

